Bug 101369 - [MAINTAINER] databases/flamerobin using wxgtk2.6-unicode, some cleanup and fixes
[MAINTAINER] databases/flamerobin using wxgtk2.6-unicode, some cleanup and f...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rong-En Fan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-04 19:30 UTC by dindin
Modified: 2006-08-06 06:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dindin 2006-08-04 19:30:16 UTC
[MAINTAINER]  databases/flamerobin using wxgtk2.6-unicode, some Makefile cleanup and marking FreeBSD 4.x and earlier builds as broken

Fix: --- flamerobin-0.7.2_1 patch begins ---


PORTNAME=      flamerobin
 PORTVERSION=   0.7.2
+PORTREVISION?= 1       
 CATEGORIES=    databases
 MASTER_SITES=  http://dindin.webkazan.ru/flamerobin/\
                http://main.webkazan.ru/flamerobin/\
@@ -14,18 +15,18 @@
 DISTNAME=      flamerobin-0.7.2-src

 MAINTAINER=    dindin@FreeBSD.org.ua
-COMMENT=       An GUI administration tool for firebird database
+COMMENT=       The GUI administration tool for firebird database

-BUILD_DEPENDS= ${WX_CONFIG}:${PORTSDIR}/x11-toolkits/wxgtk26
-LIB_DEPENDS=   wx_gtk2_stc-2.6.0:${PORTSDIR}/x11-toolkits/wxgtk26-contrib \
-               fbclient.1:${PORTSDIR}/databases/firebird-client
+USE_WX=                2.6
+WX_COMPS=      wx contrib
+WX_UNICODE=    yes
+
+LIB_DEPENDS=   fbclient.1:${PORTSDIR}/databases/firebird-client

-USE_GMAKE=     yes
 GNU_CONFIGURE= yes
 USE_X_PREFIX=  yes

-WXPORT=                gtk2
-WX_CONFIG=     ${X11BASE}/bin/wxgtk2-2.6-config
+WX_CONFIG=     ${X11BASE}/bin/wxgtk2u-2.6-config

 SUB_FILES=     pkg-message
 MAN1=          flamerobin.1
@@ -37,6 +38,10 @@

 CONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 CONFIGURE_ARGS=        --with-wx-config=${WX_CONFIG}
+       
+.if ${OSVERSION} < 500000
+BROKEN=         Does not compile on FreeBSD 4.x
+.endif 
      
 post-install:
        @${CAT} ${PKGMESSAGE}
--- flamerobin-0.7.2_1 patch ends -----lHlxjVH8ZRrPSwVtb8fKjV1HMviLfJAXDllCc3vTjXWToss4
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig       Wed Jun 14 18:34:49 2006
+++ Makefile            Fri Aug  4 17:31:28 2006
@@ -7,6 +7,7 @@
Comment 1 Rong-En Fan freebsd_committer 2006-08-05 04:07:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 2 dindin 2006-08-05 22:15:21 UTC
use <bsd.port.pre.mk> and <bsd.port.post.mk>, because ${OSVERSION} was used

--- flamerobin-0.7.2_1 patch begins ---
diff -urN /usr/ports/databases/flamerobin/Makefile
/usr/local/tinderbox/portstrees/FreeBSD/ports/databases/flamerobin/Makefile
--- /usr/ports/databases/flamerobin/Makefile    Wed Jun 14 18:34:49 2006
+++
/usr/local/tinderbox/portstrees/FreeBSD/ports/databases/flamerobin/Makefile
Sun Aug  6 00:24:22 2006
@@ -7,6 +7,7 @@

 PORTNAME=      flamerobin
 PORTVERSION=   0.7.2
+PORTREVISION?= 1
 CATEGORIES=    databases
 MASTER_SITES=  http://dindin.webkazan.ru/flamerobin/\
                http://main.webkazan.ru/flamerobin/\
@@ -14,18 +15,18 @@
 DISTNAME=      flamerobin-0.7.2-src

 MAINTAINER=    dindin@FreeBSD.org.ua
-COMMENT=       An GUI administration tool for firebird database
+COMMENT=       The GUI administration tool for firebird database

-BUILD_DEPENDS= ${WX_CONFIG}:${PORTSDIR}/x11-toolkits/wxgtk26
-LIB_DEPENDS=   wx_gtk2_stc-2.6.0:${PORTSDIR}/x11-toolkits/wxgtk26-contrib \
-               fbclient.1:${PORTSDIR}/databases/firebird-client
+USE_WX=                2.6
+WX_COMPS=      wx contrib
+WX_UNICODE=    yes
+
+LIB_DEPENDS=   fbclient.1:${PORTSDIR}/databases/firebird-client

-USE_GMAKE=     yes
 GNU_CONFIGURE= yes
 USE_X_PREFIX=  yes

-WXPORT=                gtk2
-WX_CONFIG=     ${X11BASE}/bin/wxgtk2-2.6-config
+WX_CONFIG=     ${X11BASE}/bin/wxgtk2u-2.6-config

 SUB_FILES=     pkg-message
 MAN1=          flamerobin.1
@@ -38,7 +39,13 @@
 CONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 CONFIGURE_ARGS=        --with-wx-config=${WX_CONFIG}

+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 500000
+BROKEN=         Does not compile on FreeBSD 4.x
+.endif
+
 post-install:
        @${CAT} ${PKGMESSAGE}

-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
--- flamerobin-0.7.2_1 patch begins ---
Comment 3 Rong-En Fan freebsd_committer 2006-08-06 06:35:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!